mappable.h
Go to the documentation of this file.
/**
* @file mappable.h
* @brief Mappable memory allocator.
*/
#pragma once
#include <3ds/types.h>
/**
* @brief Initializes the mappable allocator.
* @param addrMin Minimum address.
* @param addrMax Maxium address.
*/
void mappableInit(u32 addrMin, u32 addrMax);
/**
* @brief Finds a mappable memory area.
* @param size Size of the area to find.
* @return The mappable area.
*/
void* mappableAlloc(size_t size);
/**
* @brief Frees a mappable area (stubbed).
* @param mem Mappable area to free.
*/
void mappableFree(void* mem);
mappableInit
void mappableInit(u32 addrMin, u32 addrMax)
Initializes the mappable allocator.
mappableAlloc
void * mappableAlloc(size_t size)
Finds a mappable memory area.
mappableFree
void mappableFree(void *mem)
Frees a mappable area (stubbed).
types.h
Various system types.
u32
uint32_t u32
32-bit unsigned integer
Definition: types.h:23